<template>
	<div id="check-box" :class="{bg: !checked}" @click="changeValue()">
		<svg ref="svg" :class="{hidden: !checked}" :style="txtColor">
      <path :transform="svgTransform" xmlns="http://www.w3.org/2000/svg" d="m152.003906 304.34375c-5.460937 0-10.921875-2.089844-15.082031-6.25l-130.664063-130.667969c-8.34375-8.339843-8.34375-21.824219 0-30.164062 8.339844-8.339844 21.820313-8.339844 30.164063 0l115.582031 115.582031 246.253906-246.25c8.339844-8.339844 21.820313-8.339844 30.164063 0 8.339844 8.34375 8.339844 21.824219 0 30.167969l-261.332031 261.332031c-4.160156 4.160156-9.625 6.25-15.085938 6.25zm0 0"/>
		</svg>
	</div>
</template>

<script lang="ts">
import { Component, Model, Vue } from 'vue-property-decorator'
@Component
export default class BeeCheckbox extends Vue {
	@Model('change', { type: Boolean }) checked!: boolean
  svgTransform = ""
	colors = this.$store.getters.colors

	changeValue() {
		this.$emit('change', !this.checked)
	}

	// get txtColor() {
	// 	return `fill: ${this.colors.textColor};`
	// }

	get txtColor() {
		return `fill: #fff;`
	}

	mounted() {
		const svg = this.$refs.svg as Element
		const originalHeight = 245
    // const originalWidth = 292
		const scale = (svg.clientHeight * 0.5) / originalHeight
		const x = -(svg.clientWidth / 2) * 0.0
		const y = (svg.clientHeight / 2) * 0.3
		this.svgTransform = `translate(${x},${y}) scale(${scale})`
	}

	created(){
		this.$emit('change', false)
	}
}
</script>

<style scoped>
div {
	background-color: #feca38;
	border-radius: 5px;
	width: 20px;
	height: 20px;
	user-select: none;
}

svg {
	margin-left: 1px;
	margin-top: 1px;
	width: 100%;
  height: 100%;
}

.hidden {
	visibility: hidden;
}

.bg {
	background-color: rgb(255, 255, 255) !important;
}

#check-box {
	border: solid 1.8px gray;
}
</style>
